%define kdever %{nil}
%define libname %mklibname %{name} 0

Summary:   Soaring-pilot-software for KDE
Name:      kflog
Version:   2.1.1
Release:   2mdk
License:   GPL
Url:       http://www.kflog.org/
Group:     Sciences/Geosciences
Source:    http://www.kflog.org/download/src/kflog%{kdever}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
KFLog is used to display, analyze and evaluate flights logged with a
gps-logger. It displays the flight in a map. KFLog supports a large
free vector-map of the whole, including terrain-data.
The map is not part of this package. You can download the map from
the KFLog-website at http://maproom.kflog.org/ or enable an automatic
map download.

%package -n %libname
Summary:   Libraries for kflog
License:   GPL
Url:       http://www.kflog.org/
Group:     Sciences/Geosciences

%description -n %libname
KFLog is used to display, analyze and evaluate flights logged with a
gps-logger. It displays the flight in a map. KFLog supports a large
free vector-map of the whole, including terrain-data.
The map is not part of this package. You can download the map from
the KFLog-website at http://maproom.kflog.org/ or enable an automatic
map download.

This package contains the libraries used by KFlog to access recording devices.

%prep
%setup -q
%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                $LOCALFLAGS --libdir=%{_libdir} --prefix=%{_prefix} \
		--disable-rpath
%make

%install
rm -Rf %{buildroot}
make install-strip DESTDIR=$RPM_BUILD_ROOT
mkdir -p %{buildroot}/%{_menudir}
kdedesktop2mdkmenu.pl %{name} "Applications/Sciences/Geosciences" \
%{buildroot}/%{_datadir}/applnk/Applications/kflog.desktop \
%{buildroot}/%{_menudir}/%{name}
perl -pi -e 's/longtitle=\"\"/longtitle="KFlog Flight Analysis"/g' %{buildroot}/%{_menudir}/%{name}

mkdir -p %{buildroot}/{i%{_iconsdir},%{_miconsdir},%{_liconsdir}}
install %{buildroot}/%{_iconsdir}/hicolor/48x48/apps/kflog.png %{buildroot}/%{_liconsdir}
install %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/kflog.png %{buildroot}/%{_iconsdir}
install %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/kflog.png %{buildroot}/%{_miconsdir}

rm -f %{buildroot}/%{_iconsdir}/hicolor/22x22/actions/save_all.png

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%post -n %libname -p /sbin/ldconfig

%postun
%{clean_menus}

%postun -n %libname -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/apps/%{name}
%{_iconsdir}/*/*/*/*.png
%{_datadir}/doc/HTML/*/%{name}
%{_datadir}/applnk/Applications/kflog.desktop
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.la
%{_libdir}/*.so*


%changelog
* Tue Jul 27 2004 Buchan Milne <bgmilne@linux-mandrake.com> 2.1.1-2mdk
- fix conflict with kdevelop

* Thu Jul 21 2004 Buchan Milne <bgmilne@linux-mandrake.com> 2.1.1-1mdk
- 2.1.1

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.0-2mdk
- Rebuild

* Sun Jun 15 2003 Buchan Milne <bgmilne@linux-mandrake.com> 2.1.0-1mdk
- Initial Mandrake RPM
